# TdApi.StickerFullTypeCustomEmoji (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: StickerFullTypeCustomEmoji

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.StickerFullTypeCustomEmoji

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.StickerFullType
it.tdlight.jni.TdApi.StickerFullTypeCustomEmoji

Enclosing class:
  TdApi

public static final class TdApi.StickerFullTypeCustomEmoji extends TdApi.StickerFullType
The sticker is a custom emoji to be used inside message text and caption. Currently, only Telegram Premium users can use custom emoji.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`long`
`customEmojiId`
Identifier of the custom emoji.
`boolean`
`needsRepainting`
True, if the sticker must be repainted to a text color in messages, the color of the Telegram Premium badge in emoji status, white color on chat photos, or another appropriate color in other places.

## Constructor Summary

Constructors
Constructor
Description
`StickerFullTypeCustomEmoji()`
The sticker is a custom emoji to be used inside message text and caption.
`StickerFullTypeCustomEmoji(long customEmojiId, boolean needsRepainting)`
The sticker is a custom emoji to be used inside message text and caption.
`StickerFullTypeCustomEmoji(DataInput input)`
The sticker is a custom emoji to be used inside message text and caption.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### customEmojiId

public long customEmojiId
Identifier of the custom emoji.

### needsRepainting

public boolean needsRepainting
True, if the sticker must be repainted to a text color in messages, the color of the Telegram Premium badge in emoji status, white color on chat photos, or another appropriate color in other places.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### StickerFullTypeCustomEmoji

public StickerFullTypeCustomEmoji()
The sticker is a custom emoji to be used inside message text and caption. Currently, only Telegram Premium users can use custom emoji.

### StickerFullTypeCustomEmoji

public StickerFullTypeCustomEmoji(long customEmojiId, boolean needsRepainting)
The sticker is a custom emoji to be used inside message text and caption. Currently, only Telegram Premium users can use custom emoji.

Parameters:
  `customEmojiId` - long Identifier of the custom emoji.
  `needsRepainting` - boolean True, if the sticker must be repainted to a text color in messages, the color of the Telegram Premium badge in emoji status, white color on chat photos, or another appropriate color in other places.

### StickerFullTypeCustomEmoji

public StickerFullTypeCustomEmoji(DataInput input) throws IOException
The sticker is a custom emoji to be used inside message text and caption. Currently, only Telegram Premium users can use custom emoji.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`